# Uses of Interface
org.eclipse.birt.chart.model.layout.Block

Packages that use Block
Package
Description
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.
org.eclipse.birt.chart.script

## Uses of Block in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event with parameters of type Block
Modifier and Type
Method
Description
`static StructureSource`
StructureSource.`createChartBlock(Block block)`
Creates a Structure Source for type Chart Block.
`void`
BlockGenerationEvent.`updateBlock(Block bl)`
Updates the associated block object.
`void`
RectangleRenderEvent.`updateFrom(Block bl, double dScale)`
Updates current event by given Block object.

## Uses of Block in org.eclipse.birt.chart.model

Methods in org.eclipse.birt.chart.model that return Block
Modifier and Type
Method
Description
`Block`
Chart.`getBlock()`
Returns the value of the 'Block' containment reference.
Methods in org.eclipse.birt.chart.model with parameters of type Block
Modifier and Type
Method
Description
`void`
Chart.`setBlock(Block value)`
Sets the value of the '`Block`' containment reference.

## Uses of Block in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return types with arguments of type Block
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Block>`
ChartPreferences.`getBlocks()`
Deprecated.
Returns the value of the 'Blocks' containment reference list.

## Uses of Block in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return types with arguments of type Block
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Block>`
ChartPreferencesImpl.`getBlocks()`
Deprecated.

## Uses of Block in org.eclipse.birt.chart.model.impl

Methods in org.eclipse.birt.chart.model.impl that return Block
Modifier and Type
Method
Description
`Block`
ChartImpl.`getBlock()`
Methods in org.eclipse.birt.chart.model.impl with parameters of type Block
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
ChartImpl.`basicSetBlock(Block newBlock, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
ChartImpl.`setBlock(Block newBlock)`

## Uses of Block in org.eclipse.birt.chart.model.layout

Subinterfaces of Block in org.eclipse.birt.chart.model.layout
Modifier and Type
Interface
Description
`interface`
`LabelBlock`
A representation of the model object 'Label Block'.
`interface`
`Legend`
A representation of the model object 'Legend'.
`interface`
`Plot`
A representation of the model object 'Plot'.
`interface`
`TitleBlock`
A representation of the model object 'Title Block'.
Methods in org.eclipse.birt.chart.model.layout that return Block
Modifier and Type
Method
Description
`Block`
Block.`copyInstance()`
`Block`
LayoutFactory.`createBlock()`
Returns a new object of class 'Block'.
Methods in org.eclipse.birt.chart.model.layout that return types with arguments of type Block
Modifier and Type
Method
Description
`Enumeration<Block>`
Block.`children(boolean bRecursive)`
`org.eclipse.emf.common.util.EList<Block>`
Block.`getChildren()`
Returns the value of the 'Children' containment reference list.
Methods in org.eclipse.birt.chart.model.layout with parameters of type Block
Modifier and Type
Method
Description
`void`
Block.`add(Block bl)`
Adds a block into the children hierarchy
`void`
Block.`remove(Block bl)`
Removes a block from the children hierarchy

## Uses of Block in org.eclipse.birt.chart.model.layout.impl

Classes in org.eclipse.birt.chart.model.layout.impl that implement Block
Modifier and Type
Class
Description
`class`
`BlockImpl`
An implementation of the model object ' Block'.
`class`
`LabelBlockImpl`
An implementation of the model object ' Label Block'.
`class`
`LegendImpl`
An implementation of the model object ' Legend'.
`class`
`PlotImpl`
An implementation of the model object ' Plot'.
`class`
`TitleBlockImpl`
An implementation of the model object 'Title Block'.
Methods in org.eclipse.birt.chart.model.layout.impl that return Block
Modifier and Type
Method
Description
`Block`
BlockImpl.`copyInstance()`
`static Block`
BlockImpl.`create()`
A convenience method to create an initialized 'Block' instance Note: Manually written
`static Block`
LabelBlockImpl.`create()`
A convenience method to create an initialized 'LabelBlock' instance
`static final Block`
LegendImpl.`create()`
A convenience method to create an initialized 'Legend' instance
`static final Block`
PlotImpl.`create()`
A convenience method to create an initialized 'Plot' instance
`static Block`
TitleBlockImpl.`create()`
A convenience method to create an initialized 'TitleBlock' instance
`Block`
LayoutFactoryImpl.`createBlock()`
`static Block`
BlockImpl.`createDefault()`
A convenience method to create an initialized 'Block' instance Note: Manually written
`static Block`
LabelBlockImpl.`createDefault()`
A convenience method to create an initialized 'LabelBlock' instance
`static final Block`
LegendImpl.`createDefault()`
A convenience method to create an initialized 'Legend' instance
`static final Block`
PlotImpl.`createDefault()`
A convenience method to create an initialized 'Plot' instance
`static Block`
TitleBlockImpl.`createDefault()`
A convenience method to create an initialized 'TitleBlock' instance
Methods in org.eclipse.birt.chart.model.layout.impl that return types with arguments of type Block
Modifier and Type
Method
Description
`final Enumeration<Block>`
BlockImpl.`children(boolean bRecursive)`
Note: Manually written
`org.eclipse.emf.common.util.EList<Block>`
BlockImpl.`getChildren()`
Methods in org.eclipse.birt.chart.model.layout.impl with parameters of type Block
Modifier and Type
Method
Description
`final void`
BlockImpl.`add(Block bl)`
Note: Manually written
`final void`
BlockImpl.`remove(Block bl)`
Note: Manually written

## Uses of Block in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render with parameters of type Block
Modifier and Type
Method
Description
`void`
BaseRenderer.`renderLabel(IPrimitiveRenderer ipr, Block b, Object oSource)`
Renders label of a LabelBlock.

## Uses of Block in org.eclipse.birt.chart.script

Methods in org.eclipse.birt.chart.script with parameters of type Block
Modifier and Type
Method
Description
`void`
ChartEventHandlerAdapter.`afterDrawBlock(Block block, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawBlock(Block block, IChartScriptContext icsc)`
Called after drawing each block.
`void`
ChartEventHandlerAdapter.`beforeDrawBlock(Block block, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawBlock(Block block, IChartScriptContext icsc)`
Called before drawing each block.